QGIS Application - Bug report #8979
Crashing WFS in 32bit Windows Install
2013-11-01 03:43 AM - Heikki Vesanto

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 17640
Description

QGIS crashed when identifying or selecting certain features through a WFS connection. This seems to effect the windows 32 bit stand
alone and OSGeo4W installs, installed on either a 32 bit or 64 bit computer.

So using the 64 bit install on a 64 bit computer works fine, but using the 32 bit install on a 64 bit or 32 bit computer causes an issue.
Tested on 2.0.1, and master through OSGeo4W.
Replication:

Add in a WFS, for example from the British Geological Survey:
http://ogc.bgs.ac.uk/cgi-bin/BGS Bedrock and Superficial Geology/wms?

Add in the layer:
UKContShelf BGS 1:1M Seabed Sediments

Open up the attribute table. Select feature number 99 and zoom to it, select any other feature, and re-select feature number 99. At this
point my QGIS crashes, with the message "Crash dumped". This is not limited to the BGS WFS connection, however this is an open WFS
so0 should be able to be tested by all.

| have attached a project file, which should open up the WFS and zoom to a feature that causes the crash.

Of note, if all of the features are selected (or a large number) then it does not, also the feature can be selected from the attribute table.

| would be happy to provide further information.

QGIS version:

QGIS version 2.0.1-Dufour QGIS code revision 34139bc

Compiled against Qt  4.7.1  Running against Qt 4.7.1

Compiled against GDAL/OGR 1.9.2 Running against GDAL/OGR 1.9.2

Compiled against GEOS 3.3.8-CAPI-1.7.8 Running against GEOS 3.3.8-CAPI-1.7.8
PostgreSQL Client Version 8.3.10 SpatiaLite Version 4.1.1

QWT Version 5.2.1 PROJ.4 Version 480

QScintilla2 Version 2.6.2 This copy of QGIS writes debugging output

Related issues:
Related to QGIS Application - Bug report # 9378: QGIS crash when editing WFS ... Closed 2014-01-20

Associated revisions

Revision 8d7e61ab - 2014-02-10 06:20 PM - Jiirgen Fischer
http://ogc.bgs.ac.uk/cgi-bin/BGS_Bedrock_and_Superficial_Geology/wms

wfs: catch end of selected features (fixes #8979)

History

#1 - 2013-11-01 08:07 AM - Giovanni Manghi
- Status changed from Open to Feedback

| cannot replicate this issue, using both a normal Windows installation and a Virtual Machine.

Have you tested run qgis without loading plugins? Or just tested on another machine?

#2 - 2013-11-01 02:43 PM - Jukka Rahkonen

Hi,

Same crash happens for me but a bit earlier. Load data from WFS, open attribute table, select one, zoom, close attribute table, select a neighbouring
feature and crash, no need to select again the first selected feature. Tested with two WFS servers with polygon feature types. QGIS version 2.0.1 on 32-bit
Windows Vista. QGIS installed with installer.

#3 - 2013-11-02 02:41 AM - Giovanni Manghi

Jukka Rahkonen wrote:

Hi,

Same crash happens for me but a bit earlier. Load data from WFS, open attribute table, select one, zoom, close attribute table, select a
neighbouring feature and crash, no need to select again the first selected feature. Tested with two WFS servers with polygon feature types. QGIS
version 2.0.1 on 32-bit Windows Vista. QGIS installed with installer.

On Windows/QGIS 2.0.1 I'm struggling with WFS polygon layers (it usually says that the layer it is not valid), but it seems to work on master. Anyway |

cannot replicate the issue. Have you tested run qgis with no plugins (--noplugins)?

#4 - 2013-11-02 07:01 AM - Jukka Rahkonen

Sorry, but | do not know how to start QGIS with no plugins on Windows. | suppose | should edit something in the file C:\\Program Files\QGIS
Dufour\\bin\\qgis.bat

@echo off

call "%~dp0\\o4w_env.bat"

call "%OSGEO4W_ROOT%"\\apps\\grass\\grass-6.4.3\\etc\\env.bat
@echo off

path %PATH%;%0OSGEO4W_ROOT%\\apps\qgis\\bin;%OSGEO4W_ROOT%\\apps\\grass\\grass-6.4.3\\lib
set QGIS_PREFIX_PATH=%0SGEO4W_ROOT:\\=/%/apps/qgis
set GDAL_FILENAME_IS_UTF8=YES

rem Set VSI cache to be used as buffer, see #6448

set VSI_CACHE=TRUE

set VSI_CACHE_SIZE=1000000

start "QGIS" /B "%OSGEO4W_ROOT%"\bin\\qgis-bin.exe %*
#5 - 2013-11-02 11:47 AM - Giovanni Manghi

Jukka Rahkonen wrote:

Sorry, but | do not know how to start QGIS with no plugins on Windows. | suppose | should edit something in the file C:\\Program Files\\QGIS

Dufour\\bin\\qgis.bat

you can just modify the shortcut in your desktop/start menu. Or just disable/uninstall all plugins and restart qgis.

#6 - 2013-11-02 04:05 PM - Jukka Rahkonen

Hi,

The shortcut points to that qgis.bat file | referred as

"C:\\Program Files\QGIS Dufour\\bin\

ircmd.exe" exec hide C:\PROGRA~1\\QGISDU~1\\bin\\qgis.bat

Anyway, | disabled all the plugins and behaviou is the same. You can see it from a video
http://latuviitta.org/documents/QGIS 20 WFS_select feature crash.swf

This time | had to do "Select one feature" many times before crash happened, more often the second select is enough.

#7 - 2013-11-03 01:16 AM - Giovanni Manghi

Jukka Rahkonen wrote:

Hi,

The shortcut points to that qgis.bat file | referred as

"C:\\Program Files\\QGIS Dufour\\bin\

ircmd.exe" exec hide C:\PROGRA~1\\QGISDU~1\\bin\\qgis.bat

Anyway, | disabled all the plugins and behaviou is the same. You can see it from a video
http.//latuviitta.org/documents/QGIS 20 _WFS_select feature crash.swf

This time I had to do "Select one feature" many times before crash happened, more often the second select is enough.

can you post the url of the server you are using?

#8 - 2013-11-03 03:32 AM - Jukka Rahkonen

http://hip.latuviitta.org/cgi-bin/tinyows

| used the feature type "municipalities”. It is my own server and | know from the logs that QGIS does not discuss with WFS when the crash happens. It has
done the GetFeature and continues then with cached data.
#9 - 2013-11-03 10:18 AM - Giovanni Manghi
- Target version set to Future Release - High Priority
- Priority changed from Normal to Severe/Regression

Jukka Rahkonen wrote:

http.//hip.latuviitta.org/cqi-bin/tinyows

| used the feature type "municipalities". It is my own server and | know from the logs that QGIS does not discuss with WFS when the crash happens.
It has done the GetFeature and continues then with cached data.

confirmed with this server/layer, and does not happen on qgis 1.8

#10 - 2014-01-26 10:41 AM - Giovanni Manghi
- Status changed from Feedback to Open

#11 - 2014-02-07 05:54 AM - Giovanni Manghi
- Priority changed from Severe/Regression to High

#12 - 2014-02-07 06:03 AM - Giovanni Manghi
- Priority changed from High to Severe/Regression

#13 - 2014-02-10 02:29 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#14 - 2014-02-10 09:21 AM - Jiirgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"8d7e61abd2ccOc1e41eeb4b68fe96dc148997d13".

#15 - 2014-02-10 09:22 AM - Jiirgen Fischer
- Target version changed from Future Release - High Priority to Version 2.2

- Status changed from Closed to In Progress

#16 - 2014-02-10 09:22 AM - Jiirgen Fischer
- Status changed from In Progress to Closed

#17 - 2014-02-18 12:48 AM - Heikki Vesanto

| can confirm that in the developer version QGIS code revision: 8f7¢879 the issue is no longer present. Thanks, much appreciated.
